Repository: metron
Updated Branches:
  refs/heads/master 62d1a1bf7 -> ea6992fd9


METRON-1516 Support for Ansible 2.5.0 (ottobackwards) closes apache/metron#989


Project: http://git-wip-us.apache.org/repos/asf/metron/repo
Commit: http://git-wip-us.apache.org/repos/asf/metron/commit/ea6992fd
Tree: http://git-wip-us.apache.org/repos/asf/metron/tree/ea6992fd
Diff: http://git-wip-us.apache.org/repos/asf/metron/diff/ea6992fd

Branch: refs/heads/master
Commit: ea6992fd943c552c41565c7a320804cb58b733bd
Parents: 62d1a1b
Author: ottobackwards <ottobackwa...@gmail.com>
Authored: Thu Apr 12 06:15:38 2018 -0400
Committer: otto <o...@apache.org>
Committed: Thu Apr 12 06:15:38 2018 -0400

----------------------------------------------------------------------
 metron-deployment/amazon-ec2/README.md                      | 2 +-
 metron-deployment/amazon-ec2/playbook.yml                   | 4 ++--
 metron-deployment/ansible/playbooks/metron_full_install.yml | 4 ++--
 metron-deployment/development/centos6/README.md             | 2 +-
 metron-deployment/development/ubuntu14/README.md            | 2 +-
 5 files changed, 7 insertions(+), 7 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/metron/blob/ea6992fd/metron-deployment/amazon-ec2/README.md
----------------------------------------------------------------------
diff --git a/metron-deployment/amazon-ec2/README.md 
b/metron-deployment/amazon-ec2/README.md
index bc259ec..73a3d70 100644
--- a/metron-deployment/amazon-ec2/README.md
+++ b/metron-deployment/amazon-ec2/README.md
@@ -38,7 +38,7 @@ Getting Started
 
 The host used to deploy Apache Metron will need the following software tools 
installed.  The following versions are known to work as of the time of this 
writing, but by no means are these the only working versions.
 
-  - Ansible 2.0.0.2 or 2.2.2.0
+  - Ansible 2.0.0.2, 2.2.2.0, or 2.5.0
   - Python 2.7.11
   - Maven 3.3.9  
 

http://git-wip-us.apache.org/repos/asf/metron/blob/ea6992fd/metron-deployment/amazon-ec2/playbook.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/amazon-ec2/playbook.yml 
b/metron-deployment/amazon-ec2/playbook.yml
index de64490..470a181 100644
--- a/metron-deployment/amazon-ec2/playbook.yml
+++ b/metron-deployment/amazon-ec2/playbook.yml
@@ -23,8 +23,8 @@
     - conf/defaults.yml
   pre_tasks:
     - name: Verify Ansible Version
-      fail: msg="Metron Requires Ansible 2.0.0.2 or 2.2.2.0, current version 
is {{ ansible_version }}"
-      when: "ansible_version.full | version_compare('2.2.2.0', '!=') and 
ansible_version.full | version_compare('2.0.0.2', '!=')"
+      fail: msg="Metron Requires Ansible 2.0.0.2, 2.2.2.0 or 2.5.0, current 
version is {{ ansible_version }}"
+      when: "ansible_version.full | version_compare('2.2.2.0', '!=') and 
ansible_version.full | version_compare('2.0.0.2', '!=') and 
ansible_version.full | version_compare('2.5.0', '!=')"
   tasks:
     - include: tasks/create-keypair.yml
     - include: tasks/create-vpc.yml

http://git-wip-us.apache.org/repos/asf/metron/blob/ea6992fd/metron-deployment/ansible/playbooks/metron_full_install.yml
----------------------------------------------------------------------
diff --git a/metron-deployment/ansible/playbooks/metron_full_install.yml 
b/metron-deployment/ansible/playbooks/metron_full_install.yml
index b517671..099d810 100644
--- a/metron-deployment/ansible/playbooks/metron_full_install.yml
+++ b/metron-deployment/ansible/playbooks/metron_full_install.yml
@@ -18,8 +18,8 @@
 - hosts: all
   pre_tasks:
     - name: Verify Ansible Version
-      fail: msg="Metron Requires Ansible 2.0.0.2 or 2.2.2.0, current version 
is {{ ansible_version }}"
-      when: "ansible_version.full | version_compare('2.2.2.0', '!=') and 
ansible_version.full | version_compare('2.0.0.2', '!=')"
+      fail: msg="Metron Requires Ansible 2.0.0.2, 2.2.2.0, or 2.5.0, current 
version is {{ ansible_version }}"
+      when: "ansible_version.full | version_compare('2.2.2.0', '!=') and 
ansible_version.full | version_compare('2.0.0.2', '!=') and 
ansible_version.full | version_compare('2.5.0', '!=')"
 
 - include: metron_build.yml
   tags:

http://git-wip-us.apache.org/repos/asf/metron/blob/ea6992fd/metron-deployment/development/centos6/README.md
----------------------------------------------------------------------
diff --git a/metron-deployment/development/centos6/README.md 
b/metron-deployment/development/centos6/README.md
index bd8553c..ec85be3 100644
--- a/metron-deployment/development/centos6/README.md
+++ b/metron-deployment/development/centos6/README.md
@@ -29,7 +29,7 @@ Getting Started
 
 The computer used to deploy Apache Metron will need to have the following 
components installed.
 
- - [Ansible](https://github.com/ansible/ansible) (2.0.0.2 or 2.2.2.0)
+ - [Ansible](https://github.com/ansible/ansible) (2.0.0.2, 2.2.2.0, or 2.5.0)
  - [Docker](https://www.docker.com/community-edition)
  - [Vagrant](https://www.vagrantup.com) 2.0+
  - [Vagrant Hostmanager 
Plugin](https://github.com/devopsgroup-io/vagrant-hostmanager)

http://git-wip-us.apache.org/repos/asf/metron/blob/ea6992fd/metron-deployment/development/ubuntu14/README.md
----------------------------------------------------------------------
diff --git a/metron-deployment/development/ubuntu14/README.md 
b/metron-deployment/development/ubuntu14/README.md
index 5856911..fbbd2ad 100644
--- a/metron-deployment/development/ubuntu14/README.md
+++ b/metron-deployment/development/ubuntu14/README.md
@@ -29,7 +29,7 @@ Getting Started
 
 The computer used to deploy Apache Metron will need to have the following 
components installed.
 
- - [Ansible](https://github.com/ansible/ansible) (2.0.0.2 or 2.2.2.0)
+ - [Ansible](https://github.com/ansible/ansible) (2.0.0.2, 2.2.2.0, or 2.5.0)
  - [Docker](https://www.docker.com/community-edition)
  - [Vagrant](https://www.vagrantup.com) 2.0+
  - [Vagrant Hostmanager 
Plugin](https://github.com/devopsgroup-io/vagrant-hostmanager)

Reply via email to